Skip to main content
GET
/
api
/
lead-generation
/
leads
/
{id}
Get a single lead with full survey responses
curl --request GET \
  --url https://app.auditynow.com/api/lead-generation/leads/{id} \
  --header 'Authorization: Bearer <token>'
{
  "lead": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "surveyStatus": "pending",
    "createdAt": "2023-11-07T05:31:56Z",
    "clientName": "<string>",
    "businessName": "<string>",
    "clientEmail": "<string>",
    "clientPhone": "<string>",
    "aiReadinessScore": 123,
    "compositeScore": 123,
    "webResearchStatus": "<string>",
    "staticSlugId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "updatedAt": "2023-11-07T05:31:56Z",
    "surveyResponses": {},
    "leadGenerationUrls": [
      {}
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.auditynow.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

A Personal Access Token issued from https://app.auditynow.com/dashboard/settings/api-tokens. Format: aky_<32 random chars>.

Path Parameters

id
string
required

The lead survey ID.

Response

Lead detail

lead
object
required